import { geoMercator, geoEqualEarth, geoNaturalEarth1, geoCylindricalStereographic, geoPath, geoGraticule } from 'd3'; 

const projection = geoMercator()
      .scale(1300)
      .center([-102, 24])
const path = geoPath(projection);
 const graticule = geoGraticule();
const missingDataColor = 'gray';
    
export const Marks = ({ atlasMex:{ mexstates, interiors }, atlasMex, colorScale, colorValue }) => ( 
  <g className="marks">
        <path className="graticules" d={path(graticule())} />
      {mexstates.features.map((features) => (
      	<path className="state" d={path(features)} />
      ))}
      	<path className="interiors" d={path(interiors)} />
  </g>
);

// <path className="sphere" d={path({type: 'Sphere'})} />
// <path className="interiors" d={path(interiors)} />
// <path className="graticules" d={path(graticule())} />